# Class UnlockWalletReply

#### Hierarchy

- unknown
  - UnlockWalletReply

- Defined in src/protobuf/grpc_pb.d.ts:3568
- Defined in src/protobuf/grpc_pb.d.ts:3577

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new UnlockWalletReply(): UnlockWalletReply

- #### Returns UnlockWalletReply

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3569

### toObject

- toObject(includeInstance?: boolean): UnlockWalletReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns UnlockWalletReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3570

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): UnlockWalletReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UnlockWalletReply

  - Defined in src/protobuf/grpc_pb.d.ts:3573

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UnlockWalletReply, reader: BinaryReader): UnlockWalletReply

- #### Parameters

  - ##### message: UnlockWalletReply

  - ##### reader: BinaryReader

  #### Returns UnlockWalletReply

  - Defined in src/protobuf/grpc_pb.d.ts:3574

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: UnlockWalletReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: UnlockWalletReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3572

### `Static` toObject

- toObject(includeInstance: boolean, msg: UnlockWalletReply): UnlockWalletReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UnlockWalletReply

  #### Returns UnlockWalletReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3571

Generated using TypeDoc